Bug 16644 - Plack: Use to_app to remove warning about Plack::App::CGIBin instance
Summary: Plack: Use to_app to remove warning about Plack::App::CGIBin instance
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 16733
  Show dependency treegraph
 
Reported: 2016-06-03 09:39 UTC by Marcel de Rooy
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16644: Plack: Use to_app to remove warning about Plack::App::CGIBin instance (2.01 KB, patch)
2016-06-03 09:44 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 16644: Plack: Use to_app to remove warning about Plack::App::CGIBin instance (2.03 KB, patch)
2016-06-11 14:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16644: Plack: Use to_app to remove warning about Plack::App::CGIBin instance (2.13 KB, patch)
2016-06-23 14:07 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2016-06-03 09:39:04 UTC
Using Plack with the debian psgi file, I get lots of warnings like:
WARNING: Automatically converting Plack::App::CGIBin instance to a PSGI code reference. If you see this warning for each request, you probably need to explicitly call to_app() i.e. Plack::App::CGIBin->new(...)->to_app in your PSGI file.

This patch is aimed to eliminate the warns.
Comment 1 Marcel de Rooy 2016-06-03 09:43:20 UTC
Note: Running this under Wheezy.
Comment 2 Marcel de Rooy 2016-06-03 09:44:30 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-11 14:19:50 UTC Comment hidden (obsolete)
Comment 4 Tomás Cohen Arazi 2016-06-23 14:07:58 UTC
Created attachment 52725 [details] [review]
Bug 16644: Plack: Use to_app to remove warning about Plack::App::CGIBin instance

Using Plack with the debian psgi file, I get lots of warnings like:
WARNING: Automatically converting Plack::App::CGIBin instance to a PSGI code reference. If you see this warning for each request, you probably need to explicitly call to_app() i.e. Plack::App::CGIBin->new(...)->to_app in your PSGI file.

This patch is aimed to eliminate the warns.

Test plan:
Run Plack with plack.psgi or koha.psgi and verify if you do not see these
warnings anymore.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
I tested on Jessie and I see no regressions.
Comment 5 Marcel de Rooy 2016-06-23 17:29:42 UTC
(In reply to Tomás Cohen Arazi from comment #4)
> Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
> I tested on Jessie and I see no regressions.

Thx
Comment 6 Kyle M Hall 2016-06-24 13:06:42 UTC
Pushed to master for 16.11, thanks Marcel!
Comment 7 Frédéric Demians 2016-08-01 11:52:35 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 8 Julian Maurice 2016-08-16 13:07:35 UTC
Patch pushed to 3.22.x, will be in 3.22.10